
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">GreenIT Application Challenge</a>
   
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <form class="d-flex">
        <button class="btn btn-outline-success" type="button" type="button" data-bs-toggle="offcanvas" data-bs-target="#addeditoffcanvasRight" aria-controls="addeditoffcanvasRight" (click)="newrowAdd()">Add Row</button>
      </form>
    </div>
  </div>
</nav>
<div class="container mt-3">
  <h2>CSV Data Table</h2>
         
  <table class="table">
    <thead>
      <tr>

        <th>Index</th>
        <th>ID</th>
        <th>Name</th>
        <th>State</th>
        <th>Zip</th>
        <th>Amount</th>
        <th>Qty</th>
        <th>Item</th>
        <th>Action</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of rowlist; let i = index">
        <td>#{{i+1}}</td>
        <td>{{item[1].id}}</td>
        <td>{{item[1].name}}</td>
        <td>{{item[1].state}}</td>
        <td>{{item[1].zip}} </td>
        <td>{{item[1].amount}}</td>
        <td>{{item[1].qty}}</td>
        <td>{{item[1].item}}</td>
        <td>
          <button type="button" class="btn btn-primary" type="button" data-bs-toggle="offcanvas" data-bs-target="#addeditoffcanvasRight" aria-controls="addeditoffcanvasRight" (click)="editbyRow(item)">Edit</button>
          <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#deleteModal" (click)="deletebyID(item[1].id)">Delete</button>
        </td>
      </tr>
      <tr *ngIf="rowlist.length == 0">
        <td colspan="9" class="text-center">No Data Found.</td>
      </tr>
    </tbody>
  </table>

<div class="offcanvas offcanvas-end" tabindex="-1" id="addeditoffcanvasRight" aria-labelledby="addeditoffcanvasRightLabel">
  <div class="offcanvas-header">
    <h5 id="addeditoffcanvasRightLabel"><span>{{selectedScope}}</span> Row</h5>
    <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close" (click)="unsetscope()"></button>
  </div>
  <div class="offcanvas-body">
    <app-add-edit *ngIf="selectedScope != ''" (unsetscope)="unsetscope()" [selectedScope]="selectedScope" [editData]="selectedlowData"></app-add-edit>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">Delete ?</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        Are you sure you want to delete this row ?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" (click)="unsetscope()">No</button>
        <button type="button" class="btn btn-danger" (click)="deleterow()">Yes</button>
      </div>
    </div>
  </div>
</div>

</div>


<div class="loader" *ngIf="showLoader">
  <p>Lopading...</p>
</div>
